Subject: Re: After the merge is before the merge

From: Greg Hogan <[email-masked]>
Date: Mon, 21 Jul 2025 10:05:14 -0400

The c++-team is currently at the head of the queue at qa.guix.gnu.org
and displays the following message:
  "Submitting builds for this branch suspended as master branch
substitute availability is low for: armhf-linux i686-linux"
and no builds have been attempted on the team branch.

Substitute availability on master is shown as 33.1% for armhf-linux
and 78.1% for i686-linux. I'm not noticing much improvement in those
numbers, but I can track this better now that I have recorded a point
in time.

This seems like a less than optimal behavior for the system to shut
down building on primary architectures for team branches when the
secondary architectures have large numbers of blocked builds,
presumably due to the recent core-packages-team merge.

Greg